Please merge wordpress 2.8.6-1(universe) from debian testing(main)

Bug #486316 reported by Bhavani Shankar on 2009-11-21
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
wordpress (Ubuntu)
Wishlist
Unassigned

Bug Description

Binary package hint: wordpress

 wordpress (2.8.6-1) unstable; urgency=low

   * [cf87b24] Updated debian/watch (Closes: #555729) - thanks to Hideki
     Yamane
   * [997165e] Imported Upstream version 2.8.6
   * [05395e1] debian/wp-config.php: sanitize $debian_server and do not
     check if $debian_file is under /etc/wordpress (Closes: #549436)
   * [dc016ce] Updated language files

 -- Giuseppe Iuculano <email address hidden> Sat, 14 Nov 2009 12:53:07 +0100

 wordpress (2.8.5-1) unstable; urgency=high

   * [b0ebbe1] Imported Upstream version 2.8.5 (Closes: #551841)
     - This version fixes CVE-2009-3622, Wordpress Trackback DoS
   * [cad0da2] Updated languages files
   * [e8438f2] Use /var/log/apache2 directory in the apache example file
     (Closes: #551380)

 -- Giuseppe Iuculano <email address hidden> Wed, 21 Oct 2009 21:43:31 +0200
wordpress (2.8.4-3) unstable; urgency=low

   * [dc295db] Provide a more descriptive errror message if the vhost
     config file is not found. (LP: #365783)
   * [c23192a] Depend on libjs-jquery >= 1.3.3-1 (Closes: #544473) -
     thanks to Arnaud Guiton
   * [fd27308] Updated debian/copyright
   * [94ad7d3] Split up the language files into a separate package
   * [08334d7] Updated language files
   * [6682ab3] Updated my email address and removed DM-Upload-Allowed
     control field

 -- Giuseppe Iuculano <email address hidden> Sat, 03 Oct 2009 10:28:16 +0200
wordpress (2.8.4-2) unstable; urgency=low

   * [e582ddd] Removed reference about drag.gif in manifest.php, thanks
     to Michel Meyers (Closes: #517969)
   * [a0d70c8] Do not symlink readme.html, instead install it in
     /usr/share/wordpress
   * [e81e4c3] Depend on tinymce (>= 3.2.6-0.1) and added a proper
     symlink to the tabfocus plugin
   * [0492b02] Added a note in NEWS and README.debian about the secondary
     consequence caused by the previous fix for a possible script
     injection via /etc/wordpress/wp-config.php
   * [6a3c803] Updated language files

 -- Giuseppe Iuculano <email address hidden> Wed, 26 Aug 2009 14:53:43 +0200

Related branches

CVE References

Bhavani Shankar (bhavi) wrote :
Changed in wordpress (Ubuntu):
status: New → Confirmed
Fabrice Coutadeur (fabricesp) wrote :

Hi,

Wordpress is one day away from testing: perhaps, we should wait a bit, and do the merge with the new version?

Thanks,
Fabrice

Fabrice Coutadeur (fabricesp) wrote :

version 0.8.6-1 should lands tomorrow in testing

Bhavani Shankar (bhavi) wrote :

Okay ll update :)

Bhavani Shankar (bhavi) wrote :

Done fabrice

attached is the updated diff

Regards

description: updated
summary: - Please merge wordpress 2.8.5-1(universe) from debian testing(main)
+ Please merge wordpress 2.8.6-1(universe) from debian testing(main)
Changed in wordpress (Ubuntu):
status: Confirmed → In Progress
importance: Undecided → Wishlist
assignee: nobody → Fabrice Coutadeur (fabricesp)
Fabrice Coutadeur (fabricesp) wrote :

Uploaded. Thanks for your contribution!

Changed in wordpress (Ubuntu):
assignee: Fabrice Coutadeur (fabricesp) → nobody
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package wordpress - 2.8.6-1ubuntu1

---------------
wordpress (2.8.6-1ubuntu1) lucid; urgency=low

  * Merge from debian testing(LP: #486316). Remaining changes:
    - debian/apache.conf:
      + Changed to use /var/www instead of /srv/www for virtual webroot.
    - debian/setup-mysql:
      + Changed to use /var/www instead of /srv/www.
 -- Bhavani Shankar <email address hidden> Sat, 28 Nov 2009 11:01:28 +0530

Changed in wordpress (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers